Package org.eclipse.net4j.util.event

# Class LogListener

java.lang.Object
org.eclipse.net4j.util.event.LogListener

All Implemented Interfaces:
  `EventListener`, `IListener`

public class LogListener extends Object implements IListener

Since:
  3.29
Author:
  Eike Stepper

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.eclipse.net4j.util.event.IListener

`IListener.NotifierAware`

## Constructor Summary

Constructors
Constructor
Description
`LogListener()`
`LogListener(OMLogger.Level level)`

## Method Summary

Modifier and Type
Method
Description
`OMLogger.Level`
`getLevel()`
`void`
`notifyEvent(IEvent event)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### LogListener

public LogListener()

### LogListener

public LogListener(OMLogger.Level level)

## Method Details

### getLevel

public OMLogger.Level getLevel()

### notifyEvent

public void notifyEvent(IEvent event)

Specified by:
  `notifyEvent` in interface `IListener`